package rocks.zipcode.io.quiz3.fundamentals;

/**
 * @author leon on 09/12/2018.
 */
public class VowelUtils {
    public static Boolean hasVowels(String word) {
        Integer index = getIndexOfFirstVowel(word);
        try {
            return !index.equals(null);
        } catch (NullPointerException e) {
            return false;
        }
    }

    public static Integer getIndexOfFirstVowel(String word) {

        int index = 0;

        while(index < word.length()) {
            if (isVowel(word.charAt(index)))
                return index;
            index++;
        }

        return null;

    }


    public static Boolean startsWithVowel(String word) {

        return isVowel(word.charAt(0));
    }

    public static Boolean isVowel(Character character) {

        String s = Character.toString(character);

        if (s.matches("[aeiouAEIOU]"))
            return true;

        return false;
    }
}
