package rocks.zipcode.io.quiz3.arrays;

/**
 * @author leon on 09/12/2018.
 */
public class WaveGenerator {
    public static String[] wave(String str) {
        int size = countAlpha(str);
        String[] result = new String[size];
        int skips = 0;

        for (int i = 0; i < size; i++) {
            str = str.toLowerCase();
            while(!Character.isLetter(str.charAt(i + skips)))
                skips++;
            Character cap = Character.toUpperCase(str.charAt(i + skips));
            result[i] = str.substring(0, (i+skips)) + cap + str.substring(i+skips+1);
        }

        return result;
    }

    public static int countAlpha(String str) {
        int count = 0;
        for (int i = 0; i < str.length(); i++) {
            if(Character.isLetter(str.charAt(i)))
                count++;
        }
        return count;
    }
}
