package rocks.zipcode.io.quiz3.fundamentals;

/**
 * @author leon on 09/12/2018.
 */
public class PigLatinGenerator {

    public String translate(String str) {
        if(str.contains(" ")) {
            String result = "";
            String[] words = str.split(" ");
            for(String s : words){
                result += translateWord(s) + " ";
            }
            return result.trim();
        } else {
            return translateWord(str);
        }
    }

    public String translateWord(String str) {

        try {
            int indexFirstVowel = VowelUtils.getIndexOfFirstVowel(str);
            if (indexFirstVowel == 0) {
                return str + "way";
            } else {
                return str.substring(indexFirstVowel) + str.substring(0, indexFirstVowel) + "ay";
            }
        } catch (NullPointerException e) {
            return str + "ay";
        }

    }



}
